//
// Module: BadPixelCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Point source implementation of an Encircled Energy Corrector class
//
// Modifications: See ChangeLog
// 
// $Id: BadPixelCorrector.h,v 1.6 2000/08/07 13:47:42 hsiddiqu Exp $

#ifndef BadPixelCorrector_H
#define BadPixelCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "BpCorrector.h"
#include "PsfModel.h"
#include "BadPixPSFCorrector.h"
#include "MissingPixCorrector.h"

class BadPixelCorrector : public BpCorrector
{
public:

  /* Constructor */
  BadPixelCorrector(const string & eventFile, unsigned eefactor, 
                                        PsfModel * psf );

  /* Destructor */
  ~BadPixelCorrector();

  vector<double> TotalFactor(const vector<double> & energyVector) const;

  int totalPixels() const;

private:

 vector<MissingPixCorrector *> _bpcorr;

};

#endif
