// 
// Module: DetectorPosition
// Author: Hassan Siddiqui
//
// Description: 
// Describes a position across a CCD detector, in terms of the CCD ID,
// and the position in that CCD.
//  
// Modifications: See ChangeLog
// 
// $Id: DetectorPosition.h,v 1.1 1999/12/17 15:36:21 hsiddiqu Exp $

#ifndef DETECTORPOSITION_H
#define DETECTORPOSITION_H

// General classes
#include <iostream>

// SAS-specific classes

// General utility functions
#include "errstr.h"
#include "Tracer.h"

// Local classes


class DetectorPosition
{
public:
 
  DetectorPosition(int ccdid, int rawx, int rawy):
    _ccdid(ccdid),
    _rawx(rawx),
    _rawy(rawy)
    {}

  int ccdid() const {PROC; RETURN _ccdid;}
  int rawx()  const {PROC; RETURN _rawx;}
  int rawy()  const {PROC; RETURN _rawy;}

private:

  int _ccdid;
  int _rawx;
  int _rawy;

};

// Insertor for DetectorPosition
ostream &operator << (ostream &stream, const DetectorPosition o);

#endif
