// Module: IterEeCorrector
// Author: Hassan Siddiqui
//
// Description: 
//
// Returns a set of encircled energy correction factors
//
// Modifications: See ChangeLog
// 
// $Id: IterEeCorrector.h,v 1.3 2000/10/20 17:40:24 hsiddiqu Exp $

#ifndef IterEeCorrector_H
#define IterEeCorrector_H

/* General */

/* SAS-specific */

/* Local */
#include "PixelIterator.h"
#include "EeCorrector.h"

class IterEeCorrector : public EeCorrector
{
public:

  /* Constructor */
  IterEeCorrector(unsigned eefactor);

  /* Destructor */
  virtual ~IterEeCorrector();

  vector<double> 
  Fraction( const vector<double> & energyvector ) const;
  
protected:

  unsigned _eefactor;

  virtual double eeFraction( double energy ) const = 0; 

private:


};

#endif
