//
// Module: NullBadPixelCorrector
// Author: Richard Saxton
//
// Description: 
//
// A class to return a null result for bad pixels
//
// Modifications: See ChangeLog
// 
// $Id: NullBadPixelCorrector.cc,v 1.0 2001/1/11 15:12:49 rsaxton Exp $

/* General */

/* SAS-specific */
#include "Tracer.h"

/* Local */
#include "NumericalRange.h"
#include "NullBadPixelCorrector.h"
#include "PixelIterator.h"
#include "BpCorrector.h"

/* Constructor */
NullBadPixelCorrector::NullBadPixelCorrector()
{
  PROC;
  ENDPROC;
}

/* Destructor */
NullBadPixelCorrector::~NullBadPixelCorrector()
{
  PROC;
  ENDPROC;
}

vector<double>
NullBadPixelCorrector::TotalFactor(const vector<double> & energyVector) const
{
  PROC;

   vector<double> corrFactor;

    for (unsigned int i = 0; i < energyVector.size(); ++i) {
       corrFactor.push_back(0.0);
    }

  RETURN corrFactor;
}
  
int NullBadPixelCorrector::totalPixels() const
{
  PROC;

  RETURN 0;
}
