// Module: SourcePosition
//
// Author: Hassan Siddiqui
//
// Description: 
//
// Class for storing the position a source centre, 
// in DET and TELCOORDs
//
// Modifications: See ChangeLog
// 
// $Id: SourcePosition.h,v 1.1 2000/05/10 09:01:13 hsiddiqu Exp $

#ifndef SourcePosition_H
#define SourcePosition_H

/* General */
// None

/* SAS-specific */
// None

/* Local */
// None

class SourcePosition
{
public:

  /*** Constructors */
  SourcePosition( double xdet,
		   double ydet,
		   double theta,
		   double phi );

  /*** Accessors */
  double xdet() const;
  double ydet() const;
  double theta() const;
  double phi() const;

private:

  double _xdet;
  double _ydet;
  double _theta;
  double _phi;
};

#endif
